## css-validator 0~20250226+dfsg

=== debian/changelog ===
css-validator (0~20250226+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #1108451)

 -- Fab Stz <fabtz-it@yahoo.fr>  Sun, 05 Oct 2025 23:44:42 +0200
