=== debian/control ===
Source: css-validator
Section: web
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends:
 debhelper-compat (= 13),
 ant,
 default-jdk-headless,
 javahelper,
 libcommons-beanutils-java,
 libcommons-collections3-java,
 libcommons-collections4-java,
 libcommons-digester-java,
 libcommons-lang-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libcommons-text-java,
 libcommons-validator-java,
 libhtml5parser-java,
 libservlet-api-java,
 libtagsoup-java,
 libvelocity-tools-java,
 libxerces2-java,
 velocity
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/bastif/css-validator
Vcs-Git: https://salsa.debian.org/bastif/css-validator.git
Homepage: https://jigsaw.w3.org/css-validator/

Package: css-validator
Architecture: all
Depends: java-wrappers, libcss-validator-java, ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships the scripts to run css-validator.

Package: libcss-validator-java
Section: java
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - jar file
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships the jar.

Package: css-validator-common
Architecture: all
Depends: libjs-mootools, ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - web app
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships an uncompressed web-app for direct use. It ships with
 symbolic links to the libraries it depends on.

Package: css-validator-jetty9
Architecture: all
Depends: css-validator-common, jetty9, ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - jetty9 configuration files
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships configuration files for usage with jetty9.

Package: css-validator-jetty12
Architecture: all
Depends: css-validator-common, jetty12, ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - jetty12 configuration files
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships configuration files for usage with jetty12.

Package: css-validator-tomcat10
Architecture: all
Depends:
 css-validator-common,
 tomcat-jakartaee-migration,
 tomcat10,
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - tomcat10 configuration files
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships configuration files for usage with tomcat10.

Package: css-validator-tomcat11
Architecture: all
Depends:
 css-validator-common,
 tomcat-jakartaee-migration,
 tomcat11,
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: W3C CSS Validator - tomcat11 configuration files
 Check Cascading Style Sheets (CSS) and (X)HTML documents with style sheets.
 .
 The W3C CSS Validation Service is a free software created by the W3C to help
 Web designers and Web developers check Cascading Style Sheets (CSS). It can
 be used from https://jigsaw.w3.org/css-validator/, or as a java program, or
 as a java servlet on a Web server.
 .
 If you are a Web developer or a Web designer, this tool will be an invaluable
 ally. Not only will it compare your style sheets to the CSS specifications,
 helping you find errors, typos, or incorrect uses of CSS, it will also tell
 you when your CSS poses some risks in terms of usability.
 .
 This package ships configuration files for usage with tomcat11.
