=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

export JAVA_HOME

cp += /usr/share/java/commons-beanutils.jar
cp += /usr/share/java/commons-collections4.jar
cp += /usr/share/java/commons-digester.jar
cp += /usr/share/java/commons-lang3.jar
cp += /usr/share/java/commons-logging.jar
cp += /usr/share/java/commons-text.jar
cp += /usr/share/java/commons-validator.jar
cp += /usr/share/java/htmlparser.jar
# Use the same version in both css-validator & validate.nu, otherwise build would fail in validate.nu
cp += /usr/share/java/servlet-api.jar
cp += /usr/share/java/tagsoup.jar
cp += /usr/share/java/xercesImpl.jar
# velocity 1.7 requires commons-collections3 & commons-lang
cp += /usr/share/java/velocity.jar
cp += /usr/share/java/commons-lang.jar
cp += /usr/share/java/commons-collections3.jar
cp += /usr/share/java/velocity-tools.jar

noop=
space = $(noop) $(noop)
export CLASSPATH=$(subst $(space),:,$(cp)):$(subst $(space),:,$(cp2))
export MANIFEST_CLASSPATH = $(cp)

export ANT_ARGS = -Dprepare.run=false -Dclasspath="$(CLASSPATH)"

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant jar-without-dependencies
	mkdir -p lib/ && ant war

execute_after_dh_auto_install:
	# Unpack content of war file to debian/tmp
	mkdir -p debian/tmp/usr/share/css-validator/webapp
	cd debian/tmp/usr/share/css-validator/webapp && jar -xvf $(CURDIR)/css-validator.war
	@if grep -ir w3c.png debian/tmp/usr/share/css-validator/webapp; then \
	  echo "Some files still reference w3c.png. Patch it out." ; \
	  exit 1; \
	fi
	rm debian/tmp/usr/share/css-validator/webapp/images/w3c.png

execute_before_dh_link:
	touch debian/css-validator-common.links.in
	cp -a debian/css-validator-common.links.in debian/css-validator-common.links
	for jar in $(cp); do \
	  echo "$${jar} usr/share/css-validator/webapp/WEB-INF/lib/$$(basename "$${jar}")" >> debian/css-validator-common.links ;\
	done

override_jh_depends:
	jh_depends -jheadless

execute_before_dh_gencontrol:
	sed -i "/java:Depends=/d" debian/css-validator-common.substvars
	sed -i "/java:Depends=/d" debian/css-validator.substvars
	grep "^java:Depends=" debian/libcss-validator-java.substvars >> debian/css-validator-common.substvars
	grep "^java:Depends=" debian/libcss-validator-java.substvars >> debian/css-validator.substvars
