=== debian/tests/control ===
Tests: cli-validate-file.sh,
Depends: css-validator, curl,
Restrictions: superficial,

Test-Command: debian/tests/webapp_validate_file.sh "jetty9"
Features: test-name=webapp:jetty9,
Depends: css-validator-jetty9, curl,
Restrictions: isolation-container, needs-sudo, superficial,

# Know to fail. Skip until bin:jetty12 is fixed.
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108253
#  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108370
#Test-Command: debian/tests/webapp_validate_file.sh "jetty12"
#Features: test-name=webapp:jetty12,
#Depends: css-validator-jetty12, curl,
#Restrictions: isolation-container, needs-sudo, superficial,

Test-Command: debian/tests/webapp_validate_file.sh "tomcat10"
Features: test-name=webapp:tomcat10,
Depends: css-validator-tomcat10, curl,
Restrictions: isolation-container, needs-sudo, superficial,

# Known to fail. Skip until fixed upstream
# https://github.com/w3c/css-validator/issues/455
#Test-Command: debian/tests/webapp_validate_file.sh "tomcat11"
#Features: test-name=webapp:tomcat11,
#Depends: css-validator-tomcat11, curl,
#Restrictions: isolation-container, needs-sudo, superficial,

Test-Command: debian/tests/webapp_validate_url.sh "tomcat11"
Features: test-name=webapp:tomcat11,
Depends: css-validator-tomcat11, curl,
Restrictions: isolation-container, needs-sudo, superficial,
