=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
    repack, \
    oversionmangle=s/^/0~/, \
    dversionmangle=s/^0~(.*)(\$|\+dfsg|\+ds)/$1/ , \
    filenamemangle=s%(?:.*?)?cssval-?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
https://github.com/w3c/css-validator/tags (?:.*/)cssval-?@ANY_VERSION@@ARCHIVE_EXT@
